commit:     1838da7640653cccb1976e5a8737bc029d6a4ff9
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 13 09:22:11 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Feb 13 09:22:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1838da76

app-misc/fhem: add 6.2

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-misc/fhem/Manifest        |   1 +
 app-misc/fhem/fhem-6.2.ebuild | 107 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/app-misc/fhem/Manifest b/app-misc/fhem/Manifest
index 7d53ae53e947..47b20e676dae 100644
--- a/app-misc/fhem/Manifest
+++ b/app-misc/fhem/Manifest
@@ -1 +1,2 @@
 DIST fhem-6.1.tar.gz 32437246 BLAKE2B 
0c7afce70d7fa4afe01b4dd46847cfb406a267c30ba6490b4ded75c365e745c0e84aa4872e6ca9c59f11b3082655e23295c59d69c5f91b272cc576df2e9e4978
 SHA512 
93767f6e8fa2b35b24192c1dd5de29bc9ac09f8690982870d1479350acc0954d6a635fcb2abfdac96f2f9b4f8217288486b35fa385f3388efd1407b4f14ebe8f
+DIST fhem-6.2.tar.gz 32526944 BLAKE2B 
00ec9cb1518ab002e0565150a30ec7191c1f0a8ae0fccb7a3a745837f7794e4f61a8e7fa4707416e841f86803d69c27f7158c36f765733e76f461dcbb15e306e
 SHA512 
8bb4cf277ab3f008b353c3fa7f67a50f502299e79f2b96d13e88150766e39498888a05a44b6509a51f90d82dcd0aefa6642deea585c72d65e3849b6aa0322143

diff --git a/app-misc/fhem/fhem-6.2.ebuild b/app-misc/fhem/fhem-6.2.ebuild
new file mode 100644
index 000000000000..0aff3dcd67c1
--- /dev/null
+++ b/app-misc/fhem/fhem-6.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd tmpfiles
+
+DESCRIPTION="A GPL'd perl server for house automation"
+HOMEPAGE="https://www.fhem.de/";
+SRC_URI="https://www.fhem.de/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+       acct-group/fhem
+       acct-user/fhem
+       dev-perl/Crypt-CBC
+       dev-perl/Device-SerialPort
+       dev-perl/Digest-CRC
+       dev-perl/JSON
+"
+
+DEPEND="media-gfx/pngcrush"
+
+src_prepare() {
+       default
+
+       # Allow install path to be set by DESTDIR in Makefile
+       sed -i -e 's,^\(BINDIR=\),\1'\$\(DESTDIR\)',' Makefile || die
+
+       # Remove docs in Makefile, as they will be installed manually
+       sed -i -e 's/docs//g' Makefile || die
+       sed -i -e '/README_DEMO.txt/d' Makefile || die
+
+       # Remove manpage in Makefile, as it will be installed manually
+       sed -i -e '/fhem.pl.1/d' Makefile || die
+
+       # Remove lcd4linux binaries, as they are provied by app-misc/lcd4linux
+       rm -r contrib/lcd4linux || die
+
+       # Remove log dir, as it will be replaced with a symlink
+       rm -r log || die
+
+       # Fix fhemicon_darksmall.png, as it reports "broken IDAT window length"
+       # Reported to Upstream: 
https://forum.fhem.de/index.php/topic,86238.0.html
+       pngcrush -fix -force -ow www/images/default/fhemicon_darksmall.png || 
die
+
+       cp "${FILESDIR}"/fhem.cfg fhem.cfg || die
+}
+
+src_compile() {
+       :
+}
+
+src_install() {
+       local DOCS=(
+               "CHANGED"
+               "HISTORY"
+               "MAINTAINER.txt"
+               "README.SVN"
+               "README_DEMO.txt"
+               "docs"/*.txt
+               "docs"/*.patch
+               "docs"/*.pdf
+               "docs/changelog"
+               "docs/copyright"
+               "docs/dotconfig"
+               "docs/fhem.odg.readme"
+               "docs/LIESMICH.update-thirdparty"
+               "docs"/README*
+               "docs/X10"
+       )
+
+       if use doc; then
+               local DOCS+=( "docs/X10" )
+               local HTML_DOCS=( "docs/"*.eps "docs/"*.html "docs"/*.jpg 
"docs"/*.js "docs"/*.odg "docs/"*.png "docs/km271" )
+       fi
+
+       diropts -o fhem -g fhem
+       keepdir "/var/lib/fhem"
+       keepdir "/var/log/fhem"
+       diropts
+
+       dosym ../../var/lib/fhem /opt/fhem/data
+       dosym ../../var/log/fhem /opt/fhem/log
+
+       default
+
+       newinitd "${FILESDIR}"/fhem.initd fhem
+
+       systemd_newunit "${FILESDIR}"/fhem.service-r1 fhem.service
+       newtmpfiles "${FILESDIR}"/fhem.tmpfiles fhem.conf
+
+       newman docs/fhem.man fhem.pl.1
+
+       echo 'CONFIG_PROTECT="/opt/fhem /var/lib/fhem"' > "${T}"/99fhem || die
+       doenvd "${T}"/99fhem
+
+       fowners fhem:fhem /opt/fhem/fhem.cfg
+}
+
+pkg_postinst() {
+       tmpfiles_process fhem.conf
+}

Reply via email to